Apphooks
This endpoint can be used to manage Apphooks. Apphooks are used inside the app to trigger certain functionality, for example opening a webview on a specific time. A Apphook can have multiple triggers.
Retrieves a collection of Apphooks and rudimentary information about them.
Retrieves a single Apphook.
Updates an existing Apphook.
GET https://api.bundeling.com/V2/apphooksIncludes Name Description Endpoint apphook_triggersRetrieves a collection of triggers for the Apphook ApphookTriggers
Example request Raw cURL JavaScript PHP Python Go Choose language
Headers Example response {
"data": [
{
"uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
"name": "Webview overlay on app start",
"type": "Webview",
"properties": "{\n\t\t\t\t'url': 'https://example.com/webview'\n\t\t\t}",
"external_reference": "239847",
"labels": [
"d7743aaf53224e279853c7d0c1dbfb3a",
"d7743aaf53224e279853c7d0c1dbfb3a"
],
"creationdate": "2026-06-03T00:00:00+0200",
"lastupdate": "2026-06-03T00:00:00+0200"
}
],
"pagination": {
"total": 1,
"per_page": 100,
"current_page": 1,
"total_pages": 1
}
}